// xMeter.h : main header file for the XMETER DLL
//

#if !defined(AFX_XMETER_H__C21E5070_662A_405A_B46A_D57B535A06DD__INCLUDED_)
#define AFX_XMETER_H__C21E5070_662A_405A_B46A_D57B535A06DD__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"		// main symbols
#include "DlgXmeter.h"		// main symbols

/////////////////////////////////////////////////////////////////////////////
typedef  void (*TMessage)(
	unsigned __int16	Id1,
	unsigned __int32	Id2,
	unsigned char		Length,
	bool				Rtr,
	bool				StExt,
	unsigned char 		Data[8]);

extern CDlgXmeter *demo_dialog;
extern TMessage	PPP_SendMesssage;

extern "C" {

__declspec(dllexport) void PPP_Create(TMessage SendMessage);
__declspec(dllexport) bool PPP_IsOpen(void);
__declspec(dllexport) const char* PPP_GetName(void);
__declspec(dllexport) void PPP_Processing(
	unsigned __int16	Id1,
	unsigned __int32	Id2,
	unsigned char		Length,
	bool				Rtr,
	bool				StExt,
	unsigned char 		Data[8]);

}


/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_XMETER_H__C21E5070_662A_405A_B46A_D57B535A06DD__INCLUDED_)
