#if !defined(AFX_DLGXMETER_H__377D4319_00B4_4DFA_8526_28546EA6ACE5__INCLUDED_)
#define AFX_DLGXMETER_H__377D4319_00B4_4DFA_8526_28546EA6ACE5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DlgXmeter.h : header file
//

#include "TabPage1.h"
#include "TabPage2.h"

extern UINT id1;
extern UINT id2;
extern bool st_ext;
extern int  db;
extern bool type;
extern double data_scale;

class CDlgXMeterTab : public CTabCtrl {
public:
	CWnd* m_Parent;
	int m_PreviousTab;
	CDlgXMeterPage1 *m_meter;
	CDlgXMeterPage2 *m_settings;

	CDialog *m_pDialogs[2];
	int m_MaxWidth, m_MaxHeight;

	BOOL CreateTab(CDialog *, UINT, int);

public:
	CDlgXMeterTab();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgCANOpenTab)
	protected:
	virtual void PreSubclassWindow();
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CDlgXMeterTab() {};

	// Generated message map functions
protected:
	//{{AFX_MSG(CDlgCANOpenTab)
	afx_msg void OnSelChange(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};


/////////////////////////////////////////////////////////////////////////////
// CDlgXmeter dialog

class CDlgXmeter : public CDialog
{
// Construction
public:
	CDlgXmeter(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CDlgXmeter)
	enum { IDD = IDD_XMETER };
	CDlgXMeterTab	m_tab;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgXmeter)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CDlgXmeter)
	virtual BOOL OnInitDialog();
	afx_msg void OnClose();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DLGXMETER_H__377D4319_00B4_4DFA_8526_28546EA6ACE5__INCLUDED_)
