// TabCANOpen1.cpp : implementation file
//

#include "stdafx.h"
#include "TabPage1.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDlgXMeterPage1 dialog


CDlgXMeterPage1::CDlgXMeterPage1(CWnd* pParent /*=NULL*/)
	: CDialog(CDlgXMeterPage1::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDlgXMeterPage1)
	//}}AFX_DATA_INIT
	Value1 = 0.0;
	Value2 = 0.0;
}

void CDlgXMeterPage1::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgXMeterPage1)
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDlgXMeterPage1, CDialog)
	//{{AFX_MSG_MAP(CDlgXMeterPage1)
	ON_WM_PAINT()
	ON_WM_CREATE()
	ON_WM_TIMER()
	ON_WM_CLOSE()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDlgXMeterPage1 message handlers


void CDlgXMeterPage1::OnPaint() 
{
	CPaintDC dc(this); // device context for painting
	reload_bitmap((int)Value1,(int)Value2,&dc);
	paint_bitmap(&dc);
}

void CDlgXMeterPage1::paint_bitmap(CDC *dc)
{

	CPen pen;
	CBrush brush;
	// Vytvoreni kompatibilniho DC pro kresleni do bitmapy
	CDC dc_mem;
	dc_mem.CreateCompatibleDC(dc);
	CBitmap *old_bitmap = dc_mem.SelectObject(bmap);

	// Zde je mozne jeste kreslit cary apod

	// Kopie bitmapy na obrazovku
	dc->BitBlt(1, 1, 246,202, &dc_mem, 0, 0, SRCCOPY  );
	dc_mem.SelectObject(old_bitmap);
}


void CDlgXMeterPage1::reload_bitmap(double value1, double value2, CDC *dc)
{
	static int blink = 0;
	CDC dc_mem, dc_picture;
	dc_mem.CreateCompatibleDC(dc);
	CBitmap *old_bitmap = dc_mem.SelectObject(bmap);

	// Vyplneni podkladem 
	CBrush brush;
	brush.CreateSolidBrush(RGB(0, 0, 0));
	dc_mem.SelectObject(brush);	
	dc_mem.Rectangle(0, 0, 245, 201);
	brush.DeleteObject();

	dc_mem.SelectObject(old_bitmap);

	// Vytvoreni CBitmap z windowsovskeho handlu HBITMAP
	CBitmap *picture = CBitmap::FromHandle(hpicture);

	// Vytvoreni kompatibilniho DC pro kresleni do bitmapy
	dc_picture.CreateCompatibleDC(dc);
	CBitmap *old_picture = dc_picture.SelectObject(picture);

	//dc_mem.CreateCompatibleDC(dc);
	old_bitmap = dc_mem.SelectObject(bmap);

	int xo = color * 43;
	int y = 0;
	int yo =0 ;
	char temp[32];
	sprintf(temp,"%8.2f",value1);
	for(int i=0;i<8;i++)
	{
		if(temp[i]>=48 && temp[i]<=57)
		{
			yo= (temp[i]-48)*32;
			y = i*30;
		}
		else if(temp[i]==44 || temp[i]==46)
		{
			y = i*30;
			yo= 11*32;
		}
		else if(temp[i]==45)
		{
			y = i*30;
			yo= 10*32;
		}
		else if(temp[i]==32)
		{
			y = i*30;
			yo= 0;
		}
		else continue;

		// Kopie obrazku budiku do vykreslovane bitmapy
		dc_mem.BitBlt(3+y, 30, 30 , 40 , &dc_picture, yo, xo, SRCCOPY);
	}
	sprintf(temp,"%5.0f",value2);
	for(i=0;i<5;i++)
	{
		if(temp[i]>=48 && temp[i]<=57)
		{
			yo= (temp[i]-48)*32;
			y = i*30;
		}
		else if(temp[i]==44 || temp[i]==46)
		{
			y = i*30;
			yo= 11*32;
		}
		else if(temp[i]==45)
		{
			y = i*30;
			yo= 10*32;
		}
		else if(temp[i]==32)
		{
			y = i*30;
			yo= 0;
		}
		else continue;

		// Kopie obrazku budiku do vykreslovane bitmapy
		dc_mem.BitBlt(46+y, 80, 30 , 40 , &dc_picture, yo, xo, SRCCOPY);
	}

	blink++;
	if(blink>=5 &&warning && ((war_if==0 && value2>=war_limit)||(war_if==1 && value2<=war_limit)))
	{
		dc_mem.BitBlt(35, 145, 175 , 36 , &dc_picture, 1, 181, SRCCOPY);
	}
	if(blink>=10)
		blink = 0;
	dc_picture.SelectObject(old_picture);
	dc_mem.SelectObject(old_bitmap);
}

int CDlgXMeterPage1::OnCreate(LPCREATESTRUCT lpCreateStruct) 
{
	if (CDialog::OnCreate(lpCreateStruct) == -1)
		return -1;
	
	hpicture =  LoadBitmap( AfxGetInstanceHandle( ), MAKEINTRESOURCE(IDB_DIGITS));

	bmap = new CBitmap;
	CDC *dc = GetDC();
	bmap->CreateCompatibleBitmap(dc, 246, 202);
	ReleaseDC(dc);

	SetTimer(1,100,NULL);
	
	return 0;
}

void CDlgXMeterPage1::OnTimer(UINT nIDEvent) 
{
	if(nIDEvent==1)
	{
		CDC *dc = GetDC();
		reload_bitmap(Value1,Value2,dc);
		paint_bitmap(dc);	
		ReleaseDC(dc);	
	}
	
	CDialog::OnTimer(nIDEvent);
}

BOOL CDlgXMeterPage1::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CDlgXMeterPage1::OnClose() 
{
	// TODO: Add your message handler code here and/or call default
	KillTimer(1);
	
	CDialog::OnClose();
}
